Subject: [Geojson] Reserving a "version" key

From: Sean Gillies <[email-masked]>
Date: Mon, 11 Jan 2016 10:27:54 -0700

In https://github.com/geojson/draft-geojson/issues/95 we have a proposal to
reserve a version key.

> While I would hate to 'add' a version number to the JSON; I would not mind
> stating in the RFC that this is version X; and that a certain key/param
> pair is kept reserved for future version numbers and/or extensions. Just so
> you do not dig your self into a hole or make things like mimetypes of
> accept: http negotiation complex.
>
> Likewise; in some other standards; right out of the gate declaring that
> any key or header starting with 'X-' is experimental and can always be
> safely ignored is also goodness.
>
Anybody have thoughts on this one? I also would like to avoid version
numbers in the JSON and use other ways to indicate extensions.

-- 
Sean Gillies